# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "lapin"
version = "1.6.8"
authors = ["Geoffroy Couprie <geo.couprie@gmail.com>", "Marc-Antoine Perennou <Marc-Antoine@Perennou.com>"]
build = "build.rs"
description = "AMQP client library"
documentation = "https://docs.rs/lapin"
readme = "README.md"
keywords = ["amqp", "rabbitmq", "mio", "futures"]
categories = ["database"]
license = "MIT"
repository = "https://github.com/CleverCloud/lapin"

[[example]]
name = "custom_tls_connection"
required-features = ["native-tls"]
[dependencies.amq-protocol]
version = "^6.0.2"
default-features = false

[dependencies.async-task]
version = "^4.0"

[dependencies.crossbeam-channel]
version = "^0.5"

[dependencies.futures-core]
version = "^0.3"

[dependencies.log]
version = "^0.4"

[dependencies.mio]
version = "^0.7.6"
features = ["net", "os-poll"]

[dependencies.parking_lot]
version = "^0.11"

[dependencies.pinky-swear]
version = "^4.4"

[dependencies.serde]
version = "^1.0"
features = ["derive"]
[dev-dependencies.async-global-executor]
version = "^2.0"

[dev-dependencies.env_logger]
version = "^0.8"

[dev-dependencies.futures-test]
version = "^0.3"

[dev-dependencies.futures-util]
version = "^0.3"

[dev-dependencies.serde_json]
version = "^1.0"
[build-dependencies.amq-protocol-codegen]
version = "^6.0.2"
optional = true

[build-dependencies.serde_json]
version = "^1.0"
optional = true

[features]
codegen = ["codegen-internal", "amq-protocol/codegen"]
codegen-internal = ["amq-protocol-codegen", "serde_json"]
default = ["native-tls"]
native-tls = ["amq-protocol/native-tls"]
openssl = ["amq-protocol/openssl"]
rustls = ["rustls-native-certs"]
rustls-native-certs = ["amq-protocol/rustls-native-certs"]
rustls-webpki-roots-certs = ["amq-protocol/rustls-webpki-roots-certs"]
vendored-openssl = ["amq-protocol/vendored-openssl"]
